Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.ria
Class RealtimeChartEvent

    java.lang.Object
      jet.server.api.ria.ActionEvent
          jet.server.api.ria.RealtimeChartEvent

All Implemented Interfaces:
  java.io.Serializable

    public final class RealtimeChartEvent

extends ActionEvent

RealtimeChartEvent represents the event type of controlling real-time chart of Interactive Report.

Through fire this type of event, client can have following run time controls of real-time chart:
Keep Last Records, Scrollable, Scrollable Visible Values, Refresh Interval, Show Chart in Scrolling Area, Scrolling Area Percentage, Unique Key.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `KEEP_LAST_RECORDS` Action properties key of set Keep Last Records. The value range is Integer, greater than 0.
`static java.lang.String` | `REFRESH_INTERVAL` Action properties key of set Refresh Interval in milliseconds.
`static java.lang.String` | `SCROLLABLE` Action properties key of set Scrollable. The value range is Boolean
`static java.lang.String` | `SCROLLABLE_VISIBLE_VALUES` Action properties key of set Scrollable Visible Values. The value range isInteger, not less than 0.
`static java.lang.String` | `SCROLLING_AREA_PERCENTAGE` Action properties key of set Scrolling Area Percentage. The value range is Double, between 0 and 1.
`static java.lang.String` | `SHOW_CHART_IN_SCROLLING_AREA` Action properties key of set Show Chart In Scrolling Area. The value range is Boolean
`static java.lang.String` | `UNIQUE_KEY` Action properties key of set Unique Key. The value range is String[].

Constructor Summary
`RealtimeChartEvent(java.lang.String user, java.lang.String resource, java.lang.String[] lcResources, java.lang.String chartInstanceName, java.util.Map<java.lang.String,java.lang.Object> chartProperties)` Creates a RealtimeChartEvent instance.

Method Summary
`java.lang.String` | `getChartInstanceName()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getChartProperties()` Gets the real-time chart controlled properties.
`java.lang.String[]` | `getLCResources()`
`java.lang.String` | `getResource()`
`java.lang.String` | `getUser()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEEP_LAST_RECORDS

    public static final java.lang.String KEEP_LAST_RECORDS

  Action properties key of set Keep Last Records.
  The value range is Integer, greater than 0.

  See Also:
    Constant Field Values

### REFRESH_INTERVAL

    public static final java.lang.String REFRESH_INTERVAL

  Action properties key of set Refresh Interval in milliseconds.
  The value range is Long, greater than 0.

  See Also:
    Constant Field Values

### SCROLLABLE

    public static final java.lang.String SCROLLABLE

  Action properties key of set Scrollable.
  The value range is Boolean

  See Also:
    Constant Field Values

### SCROLLABLE_VISIBLE_VALUES

    public static final java.lang.String SCROLLABLE_VISIBLE_VALUES

  Action properties key of set Scrollable Visible Values.
  The value range isInteger, not less than 0.

  See Also:
    Constant Field Values

### SCROLLING_AREA_PERCENTAGE

    public static final java.lang.String SCROLLING_AREA_PERCENTAGE

  Action properties key of set Scrolling Area Percentage.
  The value range is Double, between 0 and 1.

  See Also:
    Constant Field Values

### SHOW_CHART_IN_SCROLLING_AREA

    public static final java.lang.String SHOW_CHART_IN_SCROLLING_AREA

  Action properties key of set Show Chart In Scrolling Area.
  The value range is Boolean

  See Also:
    Constant Field Values

### UNIQUE_KEY

    public static final java.lang.String UNIQUE_KEY

  Action properties key of set Unique Key.
  The value range is String[]. The element of array is BV element qualify display name. `null` will clear real time chart current unique key setting; change this setting will result current real-time chart reloaded.

  See Also:
    Constant Field Values

Constructor Detail

### RealtimeChartEvent

    public RealtimeChartEvent(java.lang.String user,
                              java.lang.String resource,
                              java.lang.String[] lcResources,
                              java.lang.String chartInstanceName,
                              java.util.Map<java.lang.String,java.lang.Object> chartProperties)

  Creates a RealtimeChartEvent instance.

  Parameters:
    `user` - The JReportServer user. This event controls real-time chart which running as same user, not be `null`.
    `resource` - The resource path of Web Report or JDashboard. This event controls real-time charts which have same resource, `null` meanings any resource.
    `lcResources` - the resource path of LCs of JDashboard. This event controls real-time charts in these LCs, null or empty meanings any LCs.
    `chartInstanceName` - The chart instance name. This event controls real-time charts which have same chartInstanceName, `null` meanings any chartInstanceName.
    `chartProperties` - will apply changes properties on the real-time charts. Possible keys are:
    - `KEEP_LAST_RECORDS`
    - `REFRESH_INTERVAL`
    - `SCROLLABLE`
    - `SCROLLABLE_VISIBLE_VALUES`
    - `SCROLLING_AREA_PERCENTAGE`
    - `SHOW_CHART_IN_SCROLLING_AREA`
    - `UNIQUE_KEY`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getUser

    public java.lang.String getUser()

### getResource

    public java.lang.String getResource()

### getLCResources

    public java.lang.String[] getLCResources()

### getChartInstanceName

    public java.lang.String getChartInstanceName()

### getChartProperties

    public java.util.Map<java.lang.String,java.lang.Object> getChartProperties()

  Gets the real-time chart controlled properties.

  Possible keys are:

  - `KEEP_LAST_RECORDS`
  - `REFRESH_INTERVAL`
  - `SCROLLABLE`
  - `SCROLLABLE_VISIBLE_VALUES`
  - `SCROLLING_AREA_PERCENTAGE`
  - `SHOW_CHART_IN_SCROLLING_AREA`
  - `UNIQUE_KEY`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD